# 44. Mutation: imposta le etichette del campo

Mutazione per impostare le "Etichette" sul "Campo". La mutazione funziona in modalità SOVRASCRIVI, il che significa che ogni richiesta sostituirà tutte le etichette esistenti con quelle della richiesta.

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutazione SetFieldLabelsSample {
  setFieldLabels(
    input: {
      farmUuid: "<placeholder_of_farm_uuid>"
      uuid: "<placeholder_of_field_uuid>"
      etichette: [{ nome: "nome1", valore: "valore1" }]
    }
  ) {
    uuid
    nome
    labels {
      nome
      value
    }
  }
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/it/documentazione-api/panoramica-delle-richieste-api-geopard/44.-mutation-imposta-le-etichette-del-campo.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
